AnimationNetwort = {};

function AnimationNetwort.prerequisitesPresent(specializations)
    return true;
end;

function AnimationNetwort:load(xmlFile)
end;

function AnimationNetwort:delete()
end;

function AnimationNetwort:getSaveAttributesAndNodes(nodeIdent)
end;

function AnimationNetwort:loadFromAttributesAndNodes(xmlFile, key, resetVehicles)
end;

function AnimationNetwort:readStream(streamId, connection)
end;

function AnimationNetwort:writeStream(streamId, connection)
end;

function AnimationNetwort:mouseEvent(posX, posY, isDown, isUp, button)
end;

function AnimationNetwort:keyEvent(unicode, sym, modifier, isDown)

end;

function AnimationNetwort:update(dt)

    	if InputBinding.hasEvent(InputBinding.LOWER_IMPLEMENT) then
		self.isDefaultLowered = not self.isDefaultLowered;
    		self:onSetLowered(self.isDefaultLowered);
		self.onlyActiveWhenLowered = not self.onlyActiveWhenLowered;
    	end;
    end;

function AnimationNetwort:updateTick(dt)
end;

function AnimationNetwort:setAnimationTime(animationPart, timeInput, noEventSend)
end;

function AnimationNetwort:draw()


    	if self.isDefaultLowered then
		g_currentMission:addHelpButtonText(string.format(g_i18n:getText(self.posDirectionText), self.typeDesc), InputBinding.LOWER_IMPLEMENT);
	else
		g_currentMission:addHelpButtonText(string.format(g_i18n:getText(self.negDirectionText), self.typeDesc), InputBinding.LOWER_IMPLEMENT);
	end;
    end;